Summary: POP3 daemon from Qualcomm
Name: qpopper
Version: 4.0.4
Release: 1ml
Serial:2002041901
License:Distributable 
Group: System Environment/Daemons
Source0:ftp://ftp.qualcomm.com/eudora/servers/unix/popper/%{name}%{version}.tar.gz
Source1:qpopper.pamd
URL: http://www.qpopper.org
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: pam >= 0.59
PreReq: grep,shadow-utils,psmisc,textutils,fileutils
#NoSource:0

%description
Qpopper supports the widely used POP3 protocol for downloading Internet
e-mail used by many popular e-mail clients. Qopper does not include a
message transfer agent or SMTP support and normally works with standard
UNIX mail transfer agents such as sendmail or smail.


%changelog
* Fri Apr 19 2002 Takeharu SATO <tsatoh@miraclelinux.com>
- upgraded to 4.0.4

* Mon Nov 13 2000 Ken Smith <ken@turbolinux.co.jp>
- remove stackguard completely
- upgraded to 3.1

* Mon Oct 23 2000 Ken Smith <ken@turbolinux.co.jp>
- corrected the Source and URL tags

* Fri Jul 29 2000 SL Baur  <steve@turbolinux.co.jp>
- remove StackGuard for the rest of the world

* Fri May 19 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- redid write spec file for TL

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	    --prefix=%{_prefix} \
	    --enable-specialauth \
	    --with-pam=qpopper \
	    --with-popuid=pop \
	    --enable-apop=/etc/pop.auth \
	    --enable-bulletins=/var/spool/mail/bulletins
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d/
install -m 755 -s popper/popper $RPM_BUILD_ROOT%{_prefix}/sbin/in.qpopper
sed -e 's#/usr/local/lib/popper#%{_prefix}/sbin/in.qpopper#g' < man/popper.8 > $RPM_BUILD_ROOT%{_mandir}/man8/in.qpopper.8
chmod 644 $RPM_BUILD_ROOT%{_mandir}/man8/in.qpopper.8
install -m 755 -s popper/popauth $RPM_BUILD_ROOT%{_prefix}/sbin/popauth
install -m 644 man/popauth.8 $RPM_BUILD_ROOT%{_mandir}/man8/popauth.8
install -m 755 -d $RPM_BUILD_ROOT/var/spool/mail/bulletins
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/qpopper

%clean
rm -rf $RPM_BUILD_ROOT

%pre
#Add pop user for APOP
if !(grep -q  ^pop /etc/passwd) then
	useradd -s /dev/null -d /dev/null -c "POP users" pop
fi

%post
#Add pop3 entry to /etc/inetd.conf and /etc/services
if !(grep -q qpopper /etc/inetd.conf ) then
	echo '#pop3  stream tcp nowait root %{_prefix}/sbin/in.qpopper qpopper -s' >> /etc/inetd.conf
fi
if !(grep -q ^pop3 /etc/services ) then
	echo 'pop3             110/tcp                         # POP V.3' >> /etc/services
fi

##create /etc/pop.auth 
#if [ -f /etc/pop.auth ]; then
#	mv /etc/pop.auth /etc/pop.auth.bak
#	/usr/sbin/popauth -init
#else
#	/usr/sbin/popauth -init
#fi

%preun
if [ $1=0 ]; then
	if (grep -q ^pop /etc/passwd) then
		userdel pop
	fi
fi

%postun
if [ $1=0 ]; then
	cat /etc/inetd.conf | grep -v "in.qpopper" > /etc/inetd.conf.bak
	mv /etc/inetd.conf.bak /etc/inetd.conf
	killall -q -HUP inetd
fi
%files
%defattr(-,root,root) 
%doc License.txt INSTALL README doc
%attr(-,root,mail) %dir /var/spool/mail/bulletins
%{_prefix}/sbin/in.qpopper
%{_prefix}/sbin/popauth
%{_mandir}/man8/in.qpopper.8*
%{_mandir}/man8/popauth.8*
%config /etc/pam.d/qpopper
